using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class DealViewModel : IDealModel
    {
        [DisplayName("Номер клиента")]
        public int ClientId {get;set;}
        [DisplayName("Дата сделки")]
        public DateTime DealDate {get;set;} = DateTime.Now.Date;
        public int OperatorId { get;set;}
        [DisplayName("ФИО оператора")]
        public string OperatorName { get; set; } = string.Empty;
        public int? CreditProgramId {get;set;}
        [DisplayName("Название кредитной программы")]
        public string? CreditProgramName { get; set; } = string.Empty;
        [DisplayName("Номер сделки")]
        public int Id {get;set;}
    }
}
